View Issue Details

IDProjectCategoryView StatusLast Update
0006403Kali Linux[All Projects] Kali Package Bugpublic2020-05-22 11:56
ReporterDrSpy Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version2020.2 
Target VersionFixed in Version 
Summary0006403: Meterpreter session is closing exactly after 30 Seconds.
DescriptionHi,

While exploiting using PHP, my sessions are expiring exactly after 30 seconds.

I'm using php payload to exploit command injection vulnerability.

I even made changes in php.ini to make the session go longer than 30 seconds by changing max_execution_time but still it doesn't work.

I'm getting this error "Meterpreter session is not valid and will be closed."

Please help me resolve this issue.

Setup Details:

Kali Linux: 5.6.0-kali1-amd64 (last updated on 2020-05-12)
Metasploit: 5.0.89-dev
Victim Machine: owaspbwa 2.6.32-25-generic-pae
Virtulization Product: VMWare Workstation 15

Output:
A=Attacker
V=Victim

msf5 exploit(multi/handler) > run

[] Started reverse TCP handler on 192.168.X.A:4444
[] Sending stage (38288 bytes) to 192.168.X.V
[*] Meterpreter session 1 opened (192.168.X.A:4444 -> 192.168.X.V:45365) at 2020-05-21 00:39:01 -0400

[-] Meterpreter session 1 is not valid and will be closed
[*] 192.168.X.V - Meterpreter session 1 closed.
Additional InformationI have been trying to find the solution for this since last 3 days. Please help me resolve this on priority.

Activities

usama

2020-05-22 10:45

reporter   ~0012818

You've already opened a ticket here https://github.com/rapid7/metasploit-framework/issues/13495.

DrSpy

2020-05-22 11:56

reporter   ~0012819

Yes I know but I haven't got the resolution for my issue... not here and certainly not there... If you know then please help me resolve this.

Issue History

Date Modified Username Field Change
2020-05-21 09:33 DrSpy New Issue
2020-05-22 10:45 usama Note Added: 0012818
2020-05-22 11:56 DrSpy Note Added: 0012819